package com.mapper;

import com.pojo.entity.UserEntity;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface UserMapper {
    List<UserEntity> findUserListByCondition(UserEntity userEntity);
    List<UserEntity> findUserForEach(List<Integer> users);
    void deleteOne(Integer id);
    UserEntity findUserByParam(String name,Integer age);
    UserEntity findUserByMap(Map<String,Object> map);
    UserEntity findUserByAnnoParam(@Param("users") UserEntity userEntity);
    Map<String,Object> findByMap(@Param("id") Integer id);
    @MapKey("address")
    Map<String,Object> findAllByMap();
}
